*** To construct maps
cd "$mapPath"
do Map.do


clear 
cd "$dataPath/ConstructedData"
use elast_map, clear

keep if Delast != .

** Since we have MDs in our sample, we need to map them to MSAs in order to show in map

ren msa cbsa2019

**** MAP for expansionary shocks

g g_elast = 100*(elast19 - elast06)/elast06

replace elast06 = - elast06
replace elast19 = - elast19
replace g_elast = - g_elast

***Elasticities for first boom
maptile elast06, geo(cbsa2019) geofolder($out) nquantiles(5) ndfcolor(none) mapif(elast06 !=.) ///
fcolor("Reds2") spopt(legend(symy(*1.5) symx(*1.5) size(*1.5)) ///
legend(position(4)) legend(cols(1)) legend(label(2 "Greater than 3.69") label(3 "3.26-3.69") ///
label(4 "2.82-3.26") label(5 "2.33-2.82") label(6 "Less than 2.33")) title("1996-2006"))
cd "$outputFigures"
graph export "Figure_B1_a.pdf", replace

***Elasticities for second boom
maptile elast19, geo(cbsa2019) geofolder($out) nquantiles(5) ndfcolor(none) mapif(elast06!=.) ///
fcolor("Reds2") spopt(legend(symy(*1.5) symx(*1.5) size(*1.5)) ///
legend(position(4)) legend(cols(1))  legend(label(2 "Greater than 1.42") label(3 "1.19-1.42") ///
label(4 "0.92-1.19") label(5 "0.65-0.92") label(6 "Less than 0.65")) title("2012-2019"))
cd "$outputFigures"
graph export "Figure_B1_b.pdf", replace