*** To construct maps
cd "$mapPath"
do Map.do

clear 
cd "$dataPath/ConstructedData"
use elast_map, clear

keep if Delast != .

** Since we have MDs in our sample, we need to map them to MSAs in order to show in map

ren msa cbsa2019

**** MAP for expansionary shocks

g g_elast = 100*(elast19 - elast06)/elast06

replace elast06 = - elast06
replace elast19 = - elast19
replace g_elast = - g_elast

maptile g_elast, geo(cbsa2019) geofolder($out) nquantiles(5) ndfcolor(none) mapif(g_elast !=.) ///
fcolor("Reds2") spopt(legend(symy(*1.5) symx(*1.5) size(*1.5)) ///
legend(position(4)) legend(cols(1)) legend(label(2 "Less than 60.3%") label(3 "60.3% to 62.9%") ///
label(4 "62.9% to 67.2%") label(5 "67.2% to 72.6%") label(6 "Greater than 72.6%")) title("Percentage change in elasticities"))
cd "$outputFigures"
graph export "Figure_4.pdf", replace
